#include "ldap1.h"

class LDAPUser : public CLDAP {
public:
	inline LDAPUser( const std::list<mystring>& host, FILE *fp, const mystring& binddn, const mystring& bindpasswd) : 
	  CLDAP( host, fp, binddn, bindpasswd) {}; 

	mystring getGidByUserName( const mystring &str);
	stringSet getGroupsByUserName( const mystring &str, const mystring &gid);
	mystring getGroupByGid( const mystring &str);
	stringMap getAttribsByUserName( const mystring &userName, const stringSet attribs);
	stringSet getUserNames();
	stringSet getGroupNames();
};
